aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorJan-Simon Möller <jsmoeller@linuxfoundation.org>2021-09-15 14:09:13 +0200
committerJan-Simon Möller <jsmoeller@linuxfoundation.org>2021-09-15 14:09:13 +0200
commit75094d614243e04c0751532ec1680352a0c7eb6a (patch)
tree3a4186c0f2a6e3692a39bb1b152b0bbeb354f96f
parent23bb2b54f6bdcd159a7d08ce3ac83836d568af04 (diff)
Signed-off-by: Jan-Simon Möller <jsmoeller@linuxfoundation.org> Change-Id: I3d8cf2dd5227edabf8dc39eb50f5fa0560a5d221
-rwxr-xr-xcommon/scripts/agl-screenshot-test.sh12
1 files changed, 10 insertions, 2 deletions
diff --git a/common/scripts/agl-screenshot-test.sh b/common/scripts/agl-screenshot-test.sh
index 8005e5f..d1261ba 100755
--- a/common/scripts/agl-screenshot-test.sh
+++ b/common/scripts/agl-screenshot-test.sh
@@ -35,11 +35,19 @@ if ! grep -q 'Usable area:' /run/platform/display/compositor.log ; then
sleep 60
fi
if ! grep -q 'Usable area:' /run/platform/display/compositor.log ; then
-# e.g. qemu-system-arm takes loooong
+ # e.g. qemu-system-arm takes loooong
echo "Waiting for compositor to initialize (+120sec)."
- sleep 120
+ sleep 120
+fi
+
+# some take veeeeery long
+if ! grep -q 'Usable area:' /run/platform/display/compositor.log ; then
+ # e.g. qemu-system-arm takes veeery loooong
+ echo "Waiting for compositor to initialize (+240sec)."
+ sleep 240
fi
+# giving up now
if ! grep -q 'Usable area:' /run/platform/display/compositor.log ; then
echo "Marker ('Usable area:') not found. Dumping log."
echo "##################################"